---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: my-cert
spec:
  secretStoreRef:
    kind: SecretStore
    name: staging
  target:
    creationPolicy: Owner
  data:
  - secretKey: cert.crt
    remoteRef:
      key: my-cert
      property: cert.crt
  - secretKey: cert.key
    remoteRef:
      key: my-cert
      property: cert.key
  # OR
  dataFrom:
  - extract:
      key: my-cert
      property: cert.key  # optional field Label to match exactly
  # OR
  - find:
      path: my-cert  # optional Item Title to match exactly
      name:
        regexp: "^cert.*"
